# Interface ViewCSS

All Superinterfaces:
  `AbstractView`

public interface ViewCSS extends AbstractView
This interface represents a CSS view. The `getComputedStyle` method provides a read only access to the computed values of an element.

The expectation is that an instance of the `ViewCSS` interface can be obtained by using binding-specific casting methods on an instance of the `AbstractView` interface.

Since a computed style is related to an `Element` node, if this element is removed from the document, the associated `CSSStyleDeclaration` and `CSSValue` related to this declaration are no longer valid.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CSSStyleDeclaration`
  `getComputedStyle(Element elt, String pseudoElt)`
  This method is used to get the computed style as it is defined in [CSS2].

  ### Methods declared in interface AbstractView

  `getDocument`

- ## Method Details

  - ### getComputedStyle

    CSSStyleDeclaration getComputedStyle(Element elt, String pseudoElt)
    This method is used to get the computed style as it is defined in [CSS2].
    Parameters:
      `elt` - The element whose style is to be computed. This parameter cannot be null.
      `pseudoElt` - The pseudo-element or `null` if none.
    Returns:
      The computed style. The `CSSStyleDeclaration` is read-only and contains only absolute values.